ConfigurableConverter (Grails 3.1.7)
Date: 2016-05-19

Package: org.grails.web.converters

## [Groovy] Interface ConfigurableConverter<W>

- org.grails.web.converters.ConfigurableConverter

- All Superinterfaces:
    Converter

  Interface for converters that can be configured at runtime

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `interface Converter` | `DEFAULT_REQUEST_ENCODING`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.util.List<java.lang.String>` | `getExcludes(java.lang.Class type)` Gets the excludes for the given type
    `java.util.List<java.lang.String>` | `getIncludes(java.lang.Class type)` Gets the includes for the given type
    `void` | `setContentType(java.lang.String contentType)` Sets the content type of the converter
    `void` | `setEncoding(java.lang.String encoding)` Sets the encoding of the converter
    `void` | `setExcludes(java.lang.Class type, java.util.List<java.lang.String> properties)` Set to exclude properties for the given type
    `void` | `setIncludes(java.lang.Class type, java.util.List<java.lang.String> properties)` Set to include properties for the given type

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Converter` | `build, convertAnother, getWriter, lookupObjectMarshaller, render, render`

- - ### Method Detail

    - #### java.util.List<java.lang.String> getExcludes(java.lang.Class type)

      Gets the excludes for the given type

      Parameters:
        `type` - The type
      Returns:
        The excludes

    - #### java.util.List<java.lang.String> getIncludes(java.lang.Class type)

      Gets the includes for the given type

      Parameters:
        `type` - The type
      Returns:
        The includes

    - #### void setContentType(java.lang.String contentType)

      Sets the content type of the converter

      Parameters:
        `contentType` - The content type

    - #### void setEncoding(java.lang.String encoding)

      Sets the encoding of the converter

      Parameters:
        `encoding` - The encoding

    - #### void setExcludes(java.lang.Class type, java.util.List<java.lang.String> properties)

      Set to exclude properties for the given type

      Parameters:
        `type` - The type
        `properties` - The properties

    - #### void setIncludes(java.lang.Class type, java.util.List<java.lang.String> properties)

      Set to include properties for the given type

      Parameters:
        `type` - The type
        `properties` - The properties